#ifndef __CONSCALARFIELD_H
#define __CONSCALARFIELD_H

/*!
  \class TConScalarField.h
  \brief Abstract base class for scalar fields on connections

  \author  Steffen Abe
  $Revision$
  $Date$
*/
template <class T>
class TConScalarField : public AField
{
protected:
  vector<T*> *m_conn;

public:
  TConScalarField(vector<T*>*);
  virtual bool isScalar()const{return true;};
  virtual bool isVector()const{return false;};
  virtual int getSize()const;
}

#include "ConScalarField.hpp"

#endif //__CONSCALARFIELD_H
