#ifndef __IDFIELD_H
#define __IDFIELD_H

// -- STL includes --
#include <vector>

using std::vector;

// -- project includes --
#include "StdScalarField.h"

/*!
  \class TIdField
  \brief Field for particle IDs

  \author Steffen Abe
  $Revision$
  $Date$
*/
template <class T>
class TIdField  : public TStdScalarField<T>
{
 public:
  TIdField(ParallelParticleArray<T>*);
  virtual double operator()(int,int component=0)const;
};

#include "IdField.hpp"

#endif //__IDFIELD_H
