template <class T>
TIdField<T>::TIdField(ParallelParticleArray<T>* ppa)
  :TStdScalarField<T>(ppa,&T::getIDField)
{}

template <class T>
double TIdField<T>::operator()(int idx,int component)const
{
  double res;
  if(idx<m_field_values.size()){
    res=m_field_values[idx].second;
  } else {
    res=0.0;
  }
  return res;
}
