#ifndef __PARALLELIDFIELD_H
#define __PARALLELIDFIELD_H

// -- project includes --
#include "StdScalarField.h"

/*!
  \class TParallelIdField
  \brief Field for sublattice IDs

  \author Steffen Abe
  $Revision$
  $Date$
*/
template <class T>
class TParallelIdField  : public TStdScalarField<T>
{
 private:
  int Id;

 public:
  TParallelIdField(vector<T*> *);
  virtual double operator()(int,int component=0)const;
};

#include "ParallelIdField.hpp"

#endif //__PARALLELIDFIELD_H
