#include "RawShape.h"

CRawShape::CRawShape():AFieldShape("rawp")
{
}

/*!
  get number of parameters, returns 0 
*/
int CRawShape::getNumParams()const
{
  return 0;
}

/*!
  get the name of a parameter 
  always returns "error" because the "raw" shape  has no parameters
*/
string CRawShape::getParamName(int)const
{
  return string("error");
}

/*!
  get the type of a parameter
  always returns "error" because the "raw" shape  has no parameters
*/
string CRawShape::getParamType(int)const
{
  return string("error");
}
