#ifndef __SHAPEPARAMETERS_H
#define __SHAPEPARAMETERS_H

//--- STL includes ---
#include <string>

using std::string;

/*!
  \class AShapeParameters
  \brief abstract  base class for shape parameters
  
  \author  Steffen Abe
  $revision: $
  $Date$
*/

class AShapeParameters
{
private:
  string m_name;

protected:
  AShapeParameters(const string& s){m_name=s;};

public:
  string getName()const{return m_name;};
};


#endif //__SHAPEPARAMETERS_H
