#include "WallForceField.h"

CWallForceField::CWallForceField()
{}

CWallForceField::~CWallForceField()
{}

void CWallForceField::addWall(CWall* w)
{
  m_walls.push_back(w);
}

int CWallForceField::getSize()const
{
  return m_walls.size();
}

int CWallForceField::idx(int i)const
{
  return i;
}

Vec3 CWallForceField::pos(int i) const
{
  Vec3 res;

  if(i<m_walls.size()){
    res=m_walls[i]->getPos();
  } 

  return res;
}

double CWallForceField::operator()(int idx,int component)const
{
  double res;

  if(idx<m_walls.size()){
    Vec3 force=(m_walls[idx])->getForce();
    switch(component){
    case(0): res=force.X(); break;
    case(1): res=force.Y(); break;
    case(2): res=force.Z(); break;
    default: res=0.0;
    }
  } else {
    res=0.0;
  }
  return res;
}
