#include "WallPosField.h"

CWallPosField::CWallPosField()
{}

CWallPosField::~CWallPosField()
{}

void CWallPosField::addWall(CWall* w)
{
  m_walls.push_back(w);
}

int CWallPosField::getSize()const
{
  return m_walls.size();
}

int CWallPosField::idx(int i)const
{
  return i;
}

Vec3 CWallPosField::pos(int i) const
{
  Vec3 res;

  if(i<m_walls.size()){
    res=m_walls[i]->getPos();
  } 

  return res;
}

double CWallPosField::operator()(int idx,int component)const
{
  double res;

  if(idx<m_walls.size()){
    Vec3 pos=(m_walls[idx])->getPos();
    switch(component){
    case(0): res=pos.X(); break;
    case(1): res=pos.Y(); break;
    case(2): res=pos.Z(); break;
    default: res=0.0;
    }
  } else {
    res=0.0;
  }
  return res;
}
