#ifndef __LINE_H
#define __LINE_H

//-- Project includes --
#include "vec3.h"

/*!
  \class Line
  \brief Class representing a line

  \author Steffen Abe
*/
class Line
{
 private:
  Vec3 Pos,U,N;

 public:
  Line(const Vec3&,const Vec3&);
  Vec3 GetU() const {return U;};
  Vec3 GetO() const {return Pos;};
  Vec3 GetN() const {return N;};
  double sep(const Vec3&);
};

#endif //__LINE_H
