/*=============================================================================

******************************************************************************
*                                               *
* COPYRIGHT ??????? - All Rights Reserved *
*  *
* This software is the property of ??????????????. No part of this code   *
* may be copied in any form or by any means without the expressed written   *
* consent of ???????????. Copying, use or modification of this software     *
* by any unauthorised person is illegal unless that    *
* person has a software license agreement with ?????????????.            *
*                                                          *
******************************************************************************

*********************************************************************************/

#include "Geometry/SimpleParticle.h"

const SimpleParticle SimpleParticle::INVALID = SimpleParticle(Vec3::ZERO, 0.0, -1, -1);

SimpleParticle::SimpleParticle(const Vec3& pos,double rad,int id, int tag)
{
  m_pos=pos;
  m_rad=rad;
  m_id=id;
  m_tag=tag;
}

SimpleParticle::SimpleParticle(const SimpleParticle& BP)
{
  m_pos=BP.m_pos;
  m_rad=BP.m_rad;
  m_id=BP.m_id;
  m_tag=BP.m_tag;
}

ostream& operator<<(ostream& ost,const SimpleParticle& BP)
{
  ost << "Particle- id " << BP.m_id << " pos: " << BP.m_pos << " rad: " << BP.m_rad << " tag : " << BP.m_tag << endl;  
  return ost;
}
