/*=============================================================================
??
??******************************************************************************
??*                                               *
??* COPYRIGHT ??????? - All Rights Reserved *
??*  *
??* This software is the property of ??????????????. No part of this code   *
??* may be copied in any form or by any means without the expressed written   *
??* consent of ???????????. Copying, use or modification of this software     *
??* by any unauthorised person is illegal unless that    *
??* person has a software license agreement with ?????????????.            *
??*                                                          *
??******************************************************************************
??
*********************************************************************************/

#ifndef LSMTESTNEIGHBOURTABLETEST_H
#define LSMTESTNEIGHBOURTABLETEST_H

#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/TestCase.h>

namespace LsmTest
{

  /**
  @author Shane J Latham
  */
  class NeighbourTableTest : public CppUnit::TestCase
  {

  public:
    /**
    @author Shane J Latham
    */
    NeighbourTableTest();

    ~NeighbourTableTest();

    /**
         * Sets up common data.
         */
    virtual void setUp();

    /**
     * Cleans up common data.
     */
    virtual void tearDown();

    CPPUNIT_TEST_SUITE( NeighbourTableTest );
    CPPUNIT_TEST( testConstructor );
    CPPUNIT_TEST( testInsert );
    CPPUNIT_TEST( testOutsideBBoxInsert );
    CPPUNIT_TEST( testGetNeighbours );
    CPPUNIT_TEST_SUITE_END();

    void testConstructor();
    void testInsert();
    void testOutsideBBoxInsert();
    void testGetNeighbours();
  };

};

#endif
