/*--------------------------------------------------------------------------
 * GTK display for shake++
 * D. Place
 *-------------------------------------------------------------------------*/ 

#ifndef _GTKDISPLAYCONSVC_H
#define _GTKDISPLAYCONSVC_H

#include "ShakeDisplay.h"
#include "remoteConsole.h"
#include <gtk/gtk.h>
#include "GtkPackage.h"

/***************************************************************************************/
/* Class CDisplayConsoleGTK                                                            */
/*                                                                                     */
/*                                                                                     */
/***************************************************************************************/

class CDisplayConsoleSvcGTK : public CRemoteConsoleClient, public TPackageGTK<CDisplayConsoleSvcGTK> {
protected:
  GtkWidget *m_ConsoleText ;
  GtkAdjustment *m_vadj ;
public:
  CDisplayConsoleSvcGTK() ;
  ~CDisplayConsoleSvcGTK() ; 

  void create(GtkWidget *, GtkAdjustment *) ; // assign widget to console...

  virtual void UpdateCon() ; // overwrite the UpdateCon of base class to display messages.
} ;

#endif
