#include "GtkPropertiesSvc.h"

#define _(e1) e1

CPropertiesSvcGTK::~CPropertiesSvcGTK()  {
}

CPropertiesSvcGTK::CPropertiesSvcGTK(CWindowGTK *parent, GTKFncPtr ptr) : CWindowGTK(), TPackageGTK<CPropertiesSvcGTK>()  {
  m_parent = parent ;
  m_ptr = ptr ;
}

void CPropertiesSvcGTK::create() {
  GtkWidget *dialog1;
  GtkWidget *dialog_vbox1;
  GtkWidget *notebook1;
  GtkWidget *scrolledwindow3;
  GtkWidget *viewport2;
  GtkWidget *vbox4;
  GtkWidget *table1;
  GtkWidget *label16;
  GtkWidget *entry5;
  GtkWidget *fontselection1;
  GtkWidget *hbuttonbox3;
  GtkWidget *button19;
  GtkWidget *label4;
  GtkWidget *scrolledwindow4;
  GtkWidget *viewport3;
  GtkWidget *vbox5;
  GtkWidget *hbox4;
  GtkWidget *label17;
  GtkObject *spinbutton1_adj;
  GtkWidget *spinbutton1;
  GtkWidget *hbox6;
  GtkWidget *label21;
  GtkWidget *entry7;
  GtkWidget *frame1;
  GtkWidget *viewport4;
  GtkWidget *vbox6;
  GtkWidget *hbox7;
  GtkWidget *label23;
  GtkWidget *entry8;
  GtkWidget *button27;
  GtkWidget *button28;
  GtkWidget *scrolledwindow5;
  GtkWidget *clist2;
  GtkWidget *label24;
  GtkWidget *hbuttonbox4;
  GtkWidget *button29;
  GtkWidget *button30;
  GtkWidget *label5;
  GtkWidget *dialog_action_area1;
  GtkWidget *hbuttonbox1;
  GtkWidget *button2;
  GtkWidget *button3;
  GtkWidget *button4;

  dialog1 = gtk_dialog_new (); m_window = dialog1 ;
  gtk_object_set_data (GTK_OBJECT (dialog1), "dialog1", dialog1);
  gtk_window_set_title (GTK_WINDOW (dialog1), _("Properties"));
  gtk_window_set_policy (GTK_WINDOW (dialog1), FALSE, TRUE, TRUE);

  dialog_vbox1 = GTK_DIALOG (dialog1)->vbox;
  gtk_object_set_data (GTK_OBJECT (dialog1), "dialog_vbox1", dialog_vbox1);
  gtk_widget_show (dialog_vbox1);

  notebook1 = gtk_notebook_new ();
  gtk_widget_ref (notebook1);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "notebook1", notebook1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (notebook1);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), notebook1, TRUE, TRUE, 0);

  scrolledwindow3 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow3);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "scrolledwindow3", scrolledwindow3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow3);
  gtk_container_add (GTK_CONTAINER (notebook1), scrolledwindow3);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolledwindow3), GTK_POLICY_NEVER, GTK_POLICY_NEVER);

  viewport2 = gtk_viewport_new (NULL, NULL);
  gtk_widget_ref (viewport2);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "viewport2", viewport2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (viewport2);
  gtk_container_add (GTK_CONTAINER (scrolledwindow3), viewport2);
  gtk_viewport_set_shadow_type (GTK_VIEWPORT (viewport2), GTK_SHADOW_NONE);

  vbox4 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox4);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "vbox4", vbox4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox4);
  gtk_container_add (GTK_CONTAINER (viewport2), vbox4);

  table1 = gtk_table_new (1, 2, FALSE);
  gtk_widget_ref (table1);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "table1", table1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table1);
  gtk_box_pack_start (GTK_BOX (vbox4), table1, FALSE, TRUE, 9);

  label16 = gtk_label_new (_("Console font:"));
  gtk_widget_ref (label16);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "label16", label16,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label16);
  gtk_table_attach (GTK_TABLE (table1), label16, 0, 1, 0, 1,
                    (GtkAttachOptions) (0),
                    (GtkAttachOptions) (0), 8, 0);

  entry5 = gtk_entry_new ();
  gtk_widget_ref (entry5);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "entry5", entry5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry5);
  gtk_table_attach (GTK_TABLE (table1), entry5, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 15, 5);

  fontselection1 = gtk_font_selection_new ();
  gtk_widget_ref (fontselection1);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "fontselection1", fontselection1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (fontselection1);
  gtk_box_pack_start (GTK_BOX (vbox4), fontselection1, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (fontselection1), 10);

  hbuttonbox3 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox3);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "hbuttonbox3", hbuttonbox3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox3);
  gtk_box_pack_start (GTK_BOX (vbox4), hbuttonbox3, TRUE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox3), GTK_BUTTONBOX_SPREAD);

  button19 = gtk_button_new_with_label (_("Set font"));
  gtk_widget_ref (button19);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "button19", button19,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button19);
  gtk_container_add (GTK_CONTAINER (hbuttonbox3), button19);
  GTK_WIDGET_SET_FLAGS (button19, GTK_CAN_DEFAULT);

  label4 = gtk_label_new (_("Console"));
  gtk_widget_ref (label4);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "label4", label4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label4);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook1), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook1), 0), label4);

  scrolledwindow4 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow4);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "scrolledwindow4", scrolledwindow4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow4);
  gtk_container_add (GTK_CONTAINER (notebook1), scrolledwindow4);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolledwindow4), GTK_POLICY_NEVER, GTK_POLICY_NEVER);

  viewport3 = gtk_viewport_new (NULL, NULL);
  gtk_widget_ref (viewport3);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "viewport3", viewport3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (viewport3);
  gtk_container_add (GTK_CONTAINER (scrolledwindow4), viewport3);
  gtk_viewport_set_shadow_type (GTK_VIEWPORT (viewport3), GTK_SHADOW_NONE);

  vbox5 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox5);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "vbox5", vbox5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox5);
  gtk_container_add (GTK_CONTAINER (viewport3), vbox5);

  hbox4 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox4);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "hbox4", hbox4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox4);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox4, FALSE, TRUE, 10);

  label17 = gtk_label_new (_("Connect at port #"));
  gtk_widget_ref (label17);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "label17", label17,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label17);
  gtk_box_pack_start (GTK_BOX (hbox4), label17, FALSE, FALSE, 10);

  spinbutton1_adj = gtk_adjustment_new (1, 0, 100, 1, 10, 10);
  spinbutton1 = gtk_spin_button_new (GTK_ADJUSTMENT (spinbutton1_adj), 1, 0);
  gtk_widget_ref (spinbutton1);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "spinbutton1", spinbutton1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (spinbutton1);
  gtk_box_pack_start (GTK_BOX (hbox4), spinbutton1, FALSE, TRUE, 0);
  gtk_widget_set_usize (spinbutton1, 100, -2);

  hbox6 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox6);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "hbox6", hbox6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox6);
  gtk_box_pack_start (GTK_BOX (vbox5), hbox6, FALSE, TRUE, 0);

  label21 = gtk_label_new (_("Server Id:"));
  gtk_widget_ref (label21);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "label21", label21,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label21);
  gtk_box_pack_start (GTK_BOX (hbox6), label21, FALSE, FALSE, 10);

  entry7 = gtk_entry_new ();
  gtk_widget_ref (entry7);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "entry7", entry7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry7);
  gtk_box_pack_start (GTK_BOX (hbox6), entry7, FALSE, TRUE, 0);

  frame1 = gtk_frame_new (_("Includes"));
  gtk_widget_ref (frame1);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "frame1", frame1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame1);
  gtk_box_pack_start (GTK_BOX (vbox5), frame1, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame1), 10);

  viewport4 = gtk_viewport_new (NULL, NULL);
  gtk_widget_ref (viewport4);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "viewport4", viewport4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (viewport4);
  gtk_container_add (GTK_CONTAINER (frame1), viewport4);
  gtk_viewport_set_shadow_type (GTK_VIEWPORT (viewport4), GTK_SHADOW_NONE);

  vbox6 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox6);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "vbox6", vbox6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox6);
  gtk_container_add (GTK_CONTAINER (viewport4), vbox6);

  hbox7 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox7);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "hbox7", hbox7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox7);
  gtk_box_pack_start (GTK_BOX (vbox6), hbox7, FALSE, TRUE, 10);
  gtk_container_set_border_width (GTK_CONTAINER (hbox7), 3);

  label23 = gtk_label_new (_("Directory:"));
  gtk_widget_ref (label23);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "label23", label23,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label23);
  gtk_box_pack_start (GTK_BOX (hbox7), label23, FALSE, FALSE, 10);

  entry8 = gtk_entry_new ();
  gtk_widget_ref (entry8);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "entry8", entry8,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (entry8);
  gtk_box_pack_start (GTK_BOX (hbox7), entry8, TRUE, TRUE, 4);

  button27 = gtk_button_new_with_label (_("..."));
  gtk_widget_ref (button27);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "button27", button27,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button27);
  gtk_box_pack_start (GTK_BOX (hbox7), button27, FALSE, FALSE, 0);
  gtk_widget_set_usize (button27, 25, -2);

  button28 = gtk_button_new_with_label (_("add"));
  gtk_widget_ref (button28);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "button28", button28,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button28);
  gtk_box_pack_start (GTK_BOX (hbox7), button28, FALSE, FALSE, 24);
  gtk_widget_set_usize (button28, 50, -2);

  scrolledwindow5 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow5);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "scrolledwindow5", scrolledwindow5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow5);
  gtk_box_pack_start (GTK_BOX (vbox6), scrolledwindow5, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (scrolledwindow5), 10);

  clist2 = gtk_clist_new (1);
  gtk_widget_ref (clist2);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "clist2", clist2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (clist2);
  gtk_container_add (GTK_CONTAINER (scrolledwindow5), clist2);
  gtk_clist_set_column_width (GTK_CLIST (clist2), 0, 80);
  gtk_clist_column_titles_show (GTK_CLIST (clist2));

  label24 = gtk_label_new (_("Directory"));
  gtk_widget_ref (label24);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "label24", label24,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label24);
  gtk_clist_set_column_widget (GTK_CLIST (clist2), 0, label24);

  hbuttonbox4 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox4);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "hbuttonbox4", hbuttonbox4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox4);
  gtk_box_pack_start (GTK_BOX (vbox6), hbuttonbox4, FALSE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbuttonbox4), 2);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox4), GTK_BUTTONBOX_SPREAD);

  button29 = gtk_button_new_with_label (_("Remove"));
  gtk_widget_ref (button29);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "button29", button29,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button29);
  gtk_container_add (GTK_CONTAINER (hbuttonbox4), button29);
  GTK_WIDGET_SET_FLAGS (button29, GTK_CAN_DEFAULT);

  button30 = gtk_button_new_with_label (_("Edit..."));
  gtk_widget_ref (button30);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "button30", button30,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button30);
  gtk_container_add (GTK_CONTAINER (hbuttonbox4), button30);
  GTK_WIDGET_SET_FLAGS (button30, GTK_CAN_DEFAULT);

  label5 = gtk_label_new (_("General"));
  gtk_widget_ref (label5);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "label5", label5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label5);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook1), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook1), 1), label5);

  dialog_action_area1 = GTK_DIALOG (dialog1)->action_area;
  gtk_object_set_data (GTK_OBJECT (dialog1), "dialog_action_area1", dialog_action_area1);
  gtk_widget_show (dialog_action_area1);
  gtk_container_set_border_width (GTK_CONTAINER (dialog_action_area1), 10);

  hbuttonbox1 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox1);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "hbuttonbox1", hbuttonbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox1);
  gtk_box_pack_start (GTK_BOX (dialog_action_area1), hbuttonbox1, TRUE, TRUE, 0);

  button2 = gtk_button_new_with_label (_("OK"));
  gtk_widget_ref (button2);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "button2", button2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button2);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), button2);
  gtk_widget_set_usize (button2, -2, 40);
  GTK_WIDGET_SET_FLAGS (button2, GTK_CAN_DEFAULT);

  button3 = gtk_button_new_with_label (_("Apply"));
  gtk_widget_ref (button3);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "button3", button3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button3);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), button3);
  gtk_widget_set_usize (button3, -2, 40);
  GTK_WIDGET_SET_FLAGS (button3, GTK_CAN_DEFAULT);

  button4 = gtk_button_new_with_label (_("Cancel"));
  gtk_widget_ref (button4);
  gtk_object_set_data_full (GTK_OBJECT (dialog1), "button4", button4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button4);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), button4);
  gtk_widget_set_usize (button4, -2, 40);
  GTK_WIDGET_SET_FLAGS (button4, GTK_CAN_DEFAULT);

}

