#include "GtkAbout.h"
#define _(e1) e1

CAboutGTK::~CAboutGTK()  {
}

CAboutGTK::CAboutGTK(CWindowGTK *parent) : CWindowGTK(), TPackageGTK<CAboutGTK>()  {
  m_parent = parent ;
}

void CAboutGTK::create() {
  GtkWidget *window1;
  GtkWidget *vbox1;
  GtkWidget *label2;
  GtkWidget *label3;
  GtkWidget *label4;
  GtkWidget *hseparator1;
  GtkWidget *hbuttonbox1;
  GtkWidget *button2;

  window1 = gtk_window_new (GTK_WINDOW_DIALOG);
  m_window = window1 ;
  gtk_object_set_data (GTK_OBJECT (window1), "window1", window1);
  gtk_window_set_title (GTK_WINDOW (window1), _("LSM"));
  gtk_window_set_position (GTK_WINDOW (window1), GTK_WIN_POS_CENTER);
  gtk_window_set_modal (GTK_WINDOW (window1), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (window1), 300, -1);
  gtk_window_set_policy (GTK_WINDOW (window1), FALSE, TRUE, TRUE);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (window1), vbox1);
  gtk_container_set_border_width (GTK_CONTAINER (vbox1), 7);

  label2 = gtk_label_new (_("LSMearth Version 4.0-alpha"));
  gtk_widget_ref (label2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label2", label2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label2);
  gtk_box_pack_start (GTK_BOX (vbox1), label2, FALSE, FALSE, 2);

  label3 = gtk_label_new (_("Copyright (c) QUAKES - 1993-2001"));
  gtk_widget_ref (label3);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label3", label3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label3);
  gtk_box_pack_start (GTK_BOX (vbox1), label3, FALSE, FALSE, 0);

  label4 = gtk_label_new (_("author(s): D. Place, S. Abe & P.Mora"));
  gtk_widget_ref (label4);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label4", label4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label4);
  gtk_box_pack_start (GTK_BOX (vbox1), label4, FALSE, FALSE, 0);

  hseparator1 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "hseparator1", hseparator1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator1);
  gtk_box_pack_start (GTK_BOX (vbox1), hseparator1, TRUE, TRUE, 7);

  hbuttonbox1 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "hbuttonbox1", hbuttonbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbuttonbox1, FALSE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbuttonbox1), 2);
  gtk_button_box_set_child_size (GTK_BUTTON_BOX (hbuttonbox1), 85, 42);

  button2 = gtk_button_new_with_label (_("OK"));
  gtk_widget_ref (button2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button2", button2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button2);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), button2);
  gtk_widget_set_usize (button2, 35, 33);
  GTK_WIDGET_SET_FLAGS (button2, GTK_CAN_DEFAULT);

  gtk_signal_connect_object (GTK_OBJECT (button2), "clicked",(GtkSignalFunc) gtk_widget_destroy, GTK_OBJECT (window1));
  gtk_window_set_modal(GTK_WINDOW(m_window),true) ;
}

