#ifndef _GTKCONNECT_H
#define _GTKCONNECT_H
#include "remoteConsole.h"
#include <gtk/gtk.h>
#include "GtkPackage.h"
#include "GtkCWindow.h"

class CConnectGTK : public CWindowGTK, public TPackageGTK<CConnectGTK>
{
 protected:
  gint m_tag ;
  int m_curPort ;
  GtkCombo *m_host ;
  GtkCList *m_servers ;
  GtkWidget *m_connect ;
  int m_nbrow ;
  int m_rowsel ;
  GTKFncPtr m_ptr ;

  void timeoutCB() ;
  void quitCB() ;
  void hostChangedCB();
  void connectCB() ;
  void refreshCB() ;
  void selectRowCB();

 public:
  CConnectGTK(CWindowGTK *parent, GTKFncPtr ptr) ;
  ~CConnectGTK() ;

  virtual void create() ; 
  virtual void show() ;
} ;

#endif
