#ifndef __RDPARTICLEFIELD_H
#define __RDPARTICLEFIELD_H

// -- project includes --
#include "RDFields.h"

/*!
  \class AParticleField
  \brief abstract class for a field on particles

  \author Steffen Abe
  $Revision$
  $Date$
*/

class AParticleField 
{
 private:
 public:
  AParticleField(){};
};

/*!
  \class CScalarParticleField
  \brief class for a scalar field on particles

  \author Steffen Abe
  $Revision$
  $Date$
*/
class CScalarParticleField : public AParticleField, public AScalarField
{
 private:
 public:
  CScalarParticleField(const string&);
  ~CScalarParticleField();

  virtual void draw(CShakeRenderer *);
};

#endif //__RDPARTICLEFIELD_H
