// LSMearthDoc.cpp : implementation of the CLSMearthDoc class
//

#include "stdafx.h"
#include "LSMearth.h"
#include "LSMearthDoc.h"
#include "mainparser.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLSMearthDoc

IMPLEMENT_DYNCREATE(CLSMearthDoc, CDocument)

BEGIN_MESSAGE_MAP(CLSMearthDoc, CDocument)
	//{{AFX_MSG_MAP(CLSMearthDoc)
	ON_COMMAND(ID_FILE_PARSE, OnFileParse)
	ON_COMMAND(ID_FILE_RUN, OnFileRun)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLSMearthDoc construction/destruction

CLSMearthDoc::CLSMearthDoc()
{
	// TODO: add one-time construction code here

}

CLSMearthDoc::~CLSMearthDoc()
{
}

BOOL CLSMearthDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CLSMearthDoc serialization

void CLSMearthDoc::Serialize(CArchive& ar)
{
    ((CEditView*)m_viewList.GetHead())->SerializeRaw(ar);
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// CLSMearthDoc diagnostics

#ifdef _DEBUG
void CLSMearthDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CLSMearthDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

AParserInterface *p_parserI = NULL ;
AParser *p_parser = NULL ;

/////////////////////////////////////////////////////////////////////////////
// CLSMearthDoc commands

void CLSMearthDoc::OnFileParse() 
{
    if (!p_parserI) {
        p_parserI = new AParserInterface ;
        p_parser = new AParser(p_parserI) ;
    }

    if (GetPathName().IsEmpty()) {
	AfxMessageBox((LPCTSTR)"The script must be saved at least\n once to be evaluted",MB_OK | MB_ICONERROR) ;
	return ;
    } else if (IsModified()) {
	if (AfxMessageBox((LPCTSTR)"Script must be saved before evaluating it.\nDo you want to save the file",
            MB_OKCANCEL | MB_ICONQUESTION) == IDCANCEL) 
	    return ;
	OnSaveDocument((LPCTSTR)GetPathName()) ;
    }
    
    p_parser->Destroy() ; 
    p_parser->Parse((char *)((LPCTSTR)GetPathName())) ;
}

void CLSMearthDoc::OnFileRun() 
{
    if (p_parser) p_parser->Eval("main") ;
}
