#include "Model/Wall.h"

CWall::CWall(const Vec3& o,const Vec3& n)
{
  m_origin=o;
  m_oldpos=m_origin;
  m_normal=n;
  m_force = Vec3::ZERO;
  m_vel   = Vec3::ZERO;
}

ostream& operator<<(ostream& ost,const CWall& w)
{
  ost << "--Wall--" << endl;
  ost << "position : " << w.m_origin << endl;
  ost << "normal   : " << w.m_normal << endl;
  ost << "displ.   : " << w.m_origin-w.m_oldpos << endl;
  ost << flush;
  return ost;
}
