/*=============================================================================
??
??******************************************************************************
??*                                               *
??* COPYRIGHT ??????? - All Rights Reserved *
??*  *
??* This software is the property of ??????????????. No part of this code   *
??* may be copied in any form or by any means without the expressed written   *
??* consent of ???????????. Copying, use or modification of this software     *
??* by any unauthorised person is illegal unless that    *
??* person has a software license agreement with ?????????????.            *
??*                                                          *
??******************************************************************************
??
*********************************************************************************/

#ifndef LSMTESTTMITEST_H
#define LSMTESTTMITEST_H

#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/TestCase.h>
 
namespace LsmTest
{
  /*!
     \author Steffen Abe
     $Revision$
     $Date$
  */
  class TMITest : public CppUnit::TestCase
  {
  public:
    TMITest();
    virtual ~TMITest();
    
    virtual void setUp();
    virtual void tearDown();

    CPPUNIT_TEST_SUITE( TMITest );
    CPPUNIT_TEST( testTriangleForce );
    CPPUNIT_TEST_SUITE_END();
    
    // the test methods
    void testTriangleForce();
  };
};

#endif // LSMTESTTMITEST_H
