/*=============================================================================
??
??******************************************************************************
??*                                               *
??* COPYRIGHT ??????? - All Rights Reserved *
??*  *
??* This software is the property of ??????????????. No part of this code   *
??* may be copied in any form or by any means without the expressed written   *
??* consent of ???????????. Copying, use or modification of this software     *
??* by any unauthorised person is illegal unless that    *
??* person has a software license agreement with ?????????????.            *
??*                                                          *
??******************************************************************************
??
*********************************************************************************/

#ifndef LSMTESTCHECKPOINTCONTROLLERTEST_H
#define LSMTESTCHECKPOINTCONTROLLERTEST_H

#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/TestCase.h>

namespace LsmTest
{
  /**
   *
   */
  class CheckPointControllerTest : public CppUnit::TestCase
  {

  public:
    /**
     *
     */
    CheckPointControllerTest();

    ~CheckPointControllerTest();

    /**
     * Sets up common data.
     */
    virtual void setUp();

    /**
     * Cleans up common data.
     */
    virtual void tearDown();

    CPPUNIT_TEST_SUITE(CheckPointControllerTest);
    CPPUNIT_TEST(testDefault);
    CPPUNIT_TEST(testIsCheckPoint);
    CPPUNIT_TEST_SUITE_END();

    void testDefault();
    void testIsCheckPoint();
  };
}

#endif
