/********************************************************************************/
/* PARSERFNC.CPP       	 			        			*/
/* 										*/
/* Description:	  Parser functions						*/
/* Author(s):     D. Place (QUAKES)						*/
/* Creation date: March 1999							*/
/*										*/
/********************************************************************************/
#include "stdafx.h"
#include <stdio.h>
#include "interface.h"

AParserInterface * SParserAccess::m_API = NULL ;
AParser * SParserAccess::m_parser = NULL ;

AParser * SParserAccess::Parser() {
	if (!m_parser) create() ;
	return m_parser ;
}

AParserInterface * SParserAccess::Interface() {
	if (!m_parser) create() ;
        return m_API ;
}


void SParserAccess::create() {
	m_API = new AParserInterface ;
	//	m_API->Create() ; 
	m_parser = new AParser(m_API) ;
	m_parser->Create() ;
}

