typedef union {
	ExpressionNode *value;
	char* str_value;
	double real_value;
	long int_value;
} YYSTYPE;

#ifndef YYLTYPE
typedef
  struct yyltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#define YYLTYPE yyltype
#endif

#define	K_EQ	257
#define	K_LE	258
#define	K_GE	259
#define	K_AND	260
#define	K_OR	261
#define	UNOT	262
#define	UMINUS	263
#define	K_PP	264
#define	K_MM	265
#define	REAL_NUMBER	266
#define	INT_NUMBER	267
#define	STRING	268
#define	ID	269
#define	K_INT	270
#define	K_REAL	271
#define	K_STR	272
#define	K_ERROR	273
#define	K_RETURN	274
#define	K_DO	275
#define	K_WHILE	276
#define	K_IF	277
#define	K_ELSE	278
#define	K_ELSEIF	279
#define	K_FOR	280


extern YYSTYPE yylval;
