#ifndef _REMOTECONSOLE_H_
#define _REMOTECONSOLE_H_
#include "console.h"
#include "LSMSocket.h"
#include "SocketLoop.h"

/*!
  \class ARemoteConsoleServer
  \brief server console    
*/
class ARemoteConsoleServer : public ConsoleWindow {
protected:
  CSocketLoop *m_SockLp ;
  static CSocketLoop *s_SockLp ;
protected:
  void Gathering() ;   //!< gather data from client, Gathering has to be call from time to time
public:
  ARemoteConsoleServer() ;
  ARemoteConsoleServer(CSocketLoop *SockLp) ;
  ~ARemoteConsoleServer() ;
  
  static void setSocketLoop(CSocketLoop *SockLp) ;
} ;

/********************************************************************************/
/* class CRemoteConsoleClient                                                   */
/*                                                                              */
/* Description:                                                                 */
/*   client console                                                             */
/********************************************************************************/

class CRemoteConsoleClient : public ConsoleWindow {
protected:
  CShakeSocket *m_Sock ;
protected:
  virtual void UpdateCon() ;

  void UpdateCon(char *buf) ;
public:
  CRemoteConsoleClient() ;
  CRemoteConsoleClient(CShakeSocket *Sock) ;
  ~CRemoteConsoleClient() ;

  void setAsConsole() ;
  void connectTo(CShakeSocket *Sock) ;
  CShakeSocket *getSocket() ;
} ;



#endif


