#ifndef __PARALLEL_INTERACTION_STORAGE_EB_H
#define __PARALLEL_INTERACTION_STORAGE_EB_H

//--- project includes ---
#include "pi_storage_e.h"

//--- STL includes ---
#include <vector>
using std::vector;

//--- IO includes ---

/*!
  \class ParallelInteractionStorage_EB
  \brief parallel storage array with exchange for bonded/breakable interactions 
*/
template<typename P,typename I>
class ParallelInteractionStorage_EB : public ParallelInteractionStorage_E<P,I>
{
 public:
  //  typedef I ParallelInteractionStorage_EB::interaction_type;

 public:
  ParallelInteractionStorage_EB(AParallelParticleArray*,const typename I::ParameterType&);

  virtual bool update();
};

#include "pis/pi_storage_eb.hpp"

#endif // __PARALLEL_INTERACTION_STORAGE_EB_H
