#ifndef __VELOCITYFIELDS_H
#define __VELOCITYFIELDS_H

// -- STL includes --
#include <vector>

using std::vector;

// -- project includes --
#include "StdScalarField.h"

template <class T>
class TAbsVelocityField : public TStdScalarField<T>
{
 public:
  TAbsVelocityField(vector<T*> *);
  virtual double operator()(int,int component=0)const;
};

#include "AbsVelocityField.hpp"

#endif //  __VELOCITYFIELDS_H
