#include "shake_math.h"

template <class T>
TAbsVelocityField<T>::TAbsVelocityField(vector<T*> *v):TStdScalarField<T>(v)
{
}

template <class T>
double TAbsVelocityField<T>::operator()(int idx,int component)const
{
  if(idx<m_particles->size()){
    Vec3 vel=((*m_particles)[idx])->getVel();
    return vel.norm();
  } else {
    return 0.0;
  }
}
