#ifndef __RAWSHAPE_H
#define __RAWSHAPE_H

// -- project includes --
#include "FieldShape.h"

/*!
  \class CRawShape
  \brief shape type for "raw" fields, i.e. per-particle data

  \author  Steffen Abe
  $Revision$
  $Date$
*/

class CRawShape : public AFieldShape
{
 public:
  CRawShape();
  virtual int getNumParams()const;
  virtual string getParamName(int)const;
  virtual string getParamType(int)const;
};
  

#endif //__RAWSHAPE_H
