#ifndef REALDIST_H
#define REALDIST_H

// -- IO includes --
// -- STL includes --
#include <string>
using std::string;

class RealDist {
   public:
      RealDist (double MinSize, double MaxSize, int Nbins);
      ~RealDist ();
      void AddSample (double evsize);
      void Write (const string&);
      void Clear();
   private:
      int nbins; 
      double maxsize, minsize, binsize;
      long Nevents;
      void Create ();
      void Destroy ();
      long *Edist;
      void AddEvSize (double evsize);
};

#endif
