/*--------------------------------------------------------------------------
 * GTK display for shake++
 * D. Place
 *-------------------------------------------------------------------------*/ 

#ifndef _GTKDISPLAYCON_H
#define _GTKDISPLAYCON_H

#include "ShakeDisplay.h"
#include "remoteConsole.h"
#include <gtk/gtk.h>
#include "GtkPackage.h"

/***************************************************************************************/
/* Class CDisplayConsoleGTK                                                            */
/*                                                                                     */
/*                                                                                     */
/***************************************************************************************/

class CDisplayConsoleGTK : public ARemoteConsoleServer, public TPackageGTK<CDisplayConsoleGTK> {
protected:
  GtkWidget *m_ConsoleText ;
  GtkAdjustment *m_vadj ;
  guint m_tag ;
  //  TPackageGTK<CDisplayConsoleGTK> CB ;

  void timeoutCB() ;
public:
  CDisplayConsoleGTK() ;
  ~CDisplayConsoleGTK() ; 

  void create(GtkWidget *, GtkAdjustment *) ; // assign widget to console...

  void start_timer() ;
  void stop_timer() ;

  virtual void UpdateCon() ; // overwrite the UpdateCon of base class to display messages.
} ;

#endif
