/*--------------------------------------------------------------------------
 * GTK display for shake++
 * D. Place
 *-------------------------------------------------------------------------*/ 

#ifndef _GTKSCRIPTEDITOR_H
#define _GTKSCRIPTEDITOR_H

#include "remoteConsole.h"
#include <gtk/gtk.h>
#include "GtkPackage.h"
#include "GtkCWindow.h"

/***************************************************************************************/
/* Class CDisplayEditorGTK                                                             */
/*                                                                                     */
/*                                                                                     */
/***************************************************************************************/
class CDisplayGTK ;

class CDisplayEditorGTK : public TPackageGTK<CDisplayEditorGTK> {
protected:
  class CDisplayGTK* m_mainwindow ;
  GtkWidget *m_ScriptText ;
  bool m_modified ;
  char *m_filename ;

  void modifiedCB() ;
public:
  CDisplayEditorGTK() ;
  ~CDisplayEditorGTK() ; 

  void create(CDisplayGTK* p,GtkWidget *) ; // assign widget to console...

  void setFilename(char *s) ;
  char *getFilename() ;
  bool readfile() ;
  bool isModified() ;
  void renew() ;
  bool save() ;
} ;

#endif
