// LSMearthView.cpp : implementation of the CLSMearthView class
//

#include "stdafx.h"
#include "LSMearth.h"

#include "LSMearthDoc.h"
#include "LSMearthView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLSMearthView

IMPLEMENT_DYNCREATE(CLSMearthView, CEditView)

BEGIN_MESSAGE_MAP(CLSMearthView, CEditView)
	//{{AFX_MSG_MAP(CLSMearthView)
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLSMearthView construction/destruction

CLSMearthView::CLSMearthView()
{
	// TODO: add construction code here

}

CLSMearthView::~CLSMearthView()
{
}

BOOL CLSMearthView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CEditView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CLSMearthView drawing

void CLSMearthView::OnDraw(CDC* pDC)
{
	CLSMearthDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CLSMearthView diagnostics

#ifdef _DEBUG
void CLSMearthView::AssertValid() const
{
	CEditView::AssertValid();
}

void CLSMearthView::Dump(CDumpContext& dc) const
{
	CEditView::Dump(dc);
}

CLSMearthDoc* CLSMearthView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CLSMearthDoc)));
	return (CLSMearthDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CLSMearthView message handlers

int CLSMearthView::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CEditView::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	LOGFONT lf; 

	lf.lfHeight = -12 ;
	lf.lfWidth = 0 ;
	lf.lfEscapement = 0 ;
	lf.lfOrientation = 0 ;
	lf.lfWeight = 400 ;
	lf.lfItalic = 0 ;
	lf.lfUnderline = 0 ;
	lf.lfStrikeOut = 0 ;
	lf.lfCharSet = 0 ;
	lf.lfOutPrecision = 3 ;
	lf.lfClipPrecision = 2 ;
	lf.lfQuality = 1 ;
	lf.lfPitchAndFamily = 49 ;
	strcpy((char *)(&(lf.lfFaceName[0])),"Lucida Console"); 

	EditFont.CreateFontIndirect(&lf); 
    	SetFont(&EditFont);
        //m_clrText = RGB( 0, 0, 0 );
        //m_clrBkgnd = RGB( 240, 240, 240 );
        //m_brBkgnd.CreateSolidBrush( m_clrBkgnd );
	
	return 0;
}
