/*=============================================================================
??
??******************************************************************************
??*                                               *
??* COPYRIGHT ??????? - All Rights Reserved *
??*  *
??* This software is the property of ??????????????. No part of this code   *
??* may be copied in any form or by any means without the expressed written   *
??* consent of ???????????. Copying, use or modification of this software     *
??* by any unauthorised person is illegal unless that    *
??* person has a software license agreement with ?????????????.            *
??*                                                          *
??******************************************************************************
??
*********************************************************************************/

#ifndef LSMTEST_BONDED_TMITEST_H
#define LSMTEST_BONDED_TMITEST_H

#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/TestCase.h>
 
namespace LsmTest
{
  /*!
    \class BondedTMITest
    \brief tests for bonded TriMesh interactions
    \author Steffen Abe
    $Revision$
    $Date$
  */
  class BondedTMITest : public CppUnit::TestCase
  {
  public:
    BondedTMITest();
    virtual ~BondedTMITest();
    
    virtual void setUp();
    virtual void tearDown();

    CPPUNIT_TEST_SUITE( BondedTMITest );
    CPPUNIT_TEST( testTriangleForce );
    CPPUNIT_TEST_SUITE_END();
    
    // the test methods
    void testTriangleForce();
  };
};

#endif // LSMTEST_BONDED_TMITEST_H
