/*=============================================================================
??
??******************************************************************************
??*                                               *
??* COPYRIGHT ??????? - All Rights Reserved *
??*  *
??* This software is the property of ??????????????. No part of this code   *
??* may be copied in any form or by any means without the expressed written   *
??* consent of ???????????. Copying, use or modification of this software     *
??* by any unauthorised person is illegal unless that    *
??* person has a software license agreement with ?????????????.            *
??*                                                          *
??******************************************************************************
??
*********************************************************************************/

#ifndef ESYS_LSMCHECKPOINTABLE_H
#define ESYS_LSMCHECKPOINTABLE_H

#include <iostream>

namespace esys
{
  namespace lsm
  {
    /**
     * Interface for objects capable of saving/loading checkpoint data.
     */
    class CheckPointable
    {
    public:
      CheckPointable();

      ~CheckPointable();

      virtual void saveCheckPointData(std::ostream &oStream) = 0;

      virtual void loadCheckPointData(std::istream &iStream) = 0;
    };
  };
};

#endif
