/*=============================================================================
??
??******************************************************************************
??*                                               *
??* COPYRIGHT ??????? - All Rights Reserved *
??*  *
??* This software is the property of ??????????????. No part of this code   *
??* may be copied in any form or by any means without the expressed written   *
??* consent of ???????????. Copying, use or modification of this software     *
??* by any unauthorised person is illegal unless that    *
??* person has a software license agreement with ?????????????.            *
??*                                                          *
??******************************************************************************
??
*********************************************************************************/

#ifndef LSMTESTCHECKPOINTLOADERTEST_H
#define LSMTESTCHECKPOINTLOADERTEST_H

#include <cppunit/extensions/HelperMacros.h>
#include <UnitTest/FileTestCase.h>

namespace LsmTest
{

  /**
  @author Shane J Latham
  */
  class CheckPointLoaderTest : public FileTestCase
  {

  public:
    /**
    @author Shane J Latham
    */
    CheckPointLoaderTest();

    ~CheckPointLoaderTest();

    /**
         * Sets up common data.
         */
    virtual void setUp();

    /**
     * Cleans up common data.
     */
    virtual void tearDown();

    CPPUNIT_TEST_SUITE( CheckPointLoaderTest );
    CPPUNIT_TEST( testIt );
    CPPUNIT_TEST( testStream );
    CPPUNIT_TEST ( testCheckPointInfo );
    CPPUNIT_TEST_SUITE_END();

    void testIt();
    void testStream();
    void testCheckPointInfo();

  };

};

#endif
