/*=============================================================================
??
??******************************************************************************
??*                                               *
??* COPYRIGHT ??????? - All Rights Reserved *
??*  *
??* This software is the property of ??????????????. No part of this code   *
??* may be copied in any form or by any means without the expressed written   *
??* consent of ???????????. Copying, use or modification of this software     *
??* by any unauthorised person is illegal unless that    *
??* person has a software license agreement with ?????????????.            *
??*                                                          *
??******************************************************************************
??
*********************************************************************************/

#ifndef LSMTESTPARTICLECHECKPOINTTEST_H
#define LSMTESTPARTICLECHECKPOINTTEST_H

#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/TestCase.h>

namespace LsmTest
{

  /**
  @author Shane J Latham
  */
  class ParticleCheckPointTest : public CppUnit::TestCase
  {

  public:
    /**
    @author Shane J Latham
    */
    ParticleCheckPointTest();

    ~ParticleCheckPointTest();

    /**
         * Sets up common data.
         */
    virtual void setUp();

    /**
     * Cleans up common data.
     */
    virtual void tearDown();

    CPPUNIT_TEST_SUITE( ParticleCheckPointTest );
    CPPUNIT_TEST( testCheckPointable );
    CPPUNIT_TEST_SUITE_END();

    void testCheckPointable();

  };

};

#endif
