/*=============================================================================

******************************************************************************
*                                               *
* COPYRIGHT ??????? - All Rights Reserved *
*  *
* This software is the property of ??????????????. No part of this code   *
* may be copied in any form or by any means without the expressed written   *
* consent of ???????????. Copying, use or modification of this software     *
* by any unauthorised person is illegal unless that    *
* person has a software license agreement with ?????????????.            *
*                                                          *
******************************************************************************

*********************************************************************************/

#include "UnitTest/RegistryRunner.h"
#include <stdexcept>
#include <iostream>

int main(int argc, char *argv[])
{
  try
  {
    LsmTest::RegistryRunner runner(argc, argv);

    runner.run();
  }
  catch (std::runtime_error &e)
  {
    std::cerr << e.what() << std::endl;
  }
  catch (char *e)
  {
    std::cerr << e << std::endl;
  }
  catch (...)
  {
    std::cerr << "Unknown exception...aborting." << std::endl;
  }
  return 0;
}
