/*!
  constructor

  \param comm_p
  \param mesh_p
  \param ppa_p
*/
template <class ParticleType> 
TriMesh_PIS<ParticleType>::TriMesh_PIS(TriMesh* mesh_p,ParallelParticleArray<ParticleType>* ppa_p):
  AParallelInteractionStorage(ppa_p)
{
  m_mesh=mesh_p;
  m_exIG=NULL;
}

template <class ParticleType> 
TriMesh_PIS<ParticleType>::~TriMesh_PIS()
{}

/*!
  add excluding IG

  \param exig_p
*/
template<class ParticleType>
void TriMesh_PIS<ParticleType>::addExIG(AParallelInteractionStorage* exig_p)
{
  m_exIG=exig_p;
}


template <class ParticleType> 
AFieldSlave* TriMesh_PIS<ParticleType>::generateNewScalarFieldSlave(TML_Comm*,const string&,int,int,int,int)
{
  AFieldSlave* new_fs=NULL;

  return new_fs;
}

template <class ParticleType> 
AFieldSlave* TriMesh_PIS<ParticleType>::generateNewVectorFieldSlave(TML_Comm*,const string&,int,int,int,int)
{
  AFieldSlave* new_fs=NULL;

  return new_fs;
}
